XnModulePoseDetectionCapabilityInterface Struct Reference

`#include <XnModuleInterface.h>`

## Public Attributes

XnUInt32(* | GetNumberOfPoses )(XnModuleNodeHandle hGenerator)
XnStatus(* | GetAvailablePoses )(XnModuleNodeHandle hGenerator, XnChar **pstrPoses, XnUInt32 *pnPoses)
XnStatus(* | StartPoseDetection )(XnModuleNodeHandle hGenerator, const XnChar *strPose, XnUserID user)
XnStatus(* | StopPoseDetection )(XnModuleNodeHandle hGenerator, XnUserID user)
XnStatus(* | RegisterToPoseCallbacks )(XnModuleNodeHandle hGenerator, XnModulePoseDetectionCallback StartPoseCB, XnModulePoseDetectionCallback EndCB, void *pCookie, XnCallbackHandle *phCallback)
void(* | UnregisterFromPoseCallbacks )(XnModuleNodeHandle hGenerator, XnCallbackHandle hCallback)
XnStatus(* | GetAllAvailablePoses )(XnModuleNodeHandle hGenerator, XnChar **pstrPoses, XnUInt32 nNameLength, XnUInt32 *pnPoses)
XnStatus(* | RegisterToPoseDetectionInProgress )(XnModuleNodeHandle hGenerator, XnModulePoseDetectionInProgressCallback PoseProgressCB, void *pCookie, XnCallbackHandle *phCallback)
void(* | UnregisterFromPoseDetectionInProgress )(XnModuleNodeHandle hGenerator, XnCallbackHandle hCallback)
XnStatus(* | RegisterToPoseDetected )(XnModuleNodeHandle hGenerator, XnModulePoseDetectionCallback handler, void *pCookie, XnCallbackHandle *phCallback)
void(* | UnregisterFromPoseDetected )(XnModuleNodeHandle hGenerator, XnCallbackHandle hCallback)
XnStatus(* | RegisterToOutOfPose )(XnModuleNodeHandle hGenerator, XnModulePoseDetectionCallback handler, void *pCookie, XnCallbackHandle *phCallback)
void(* | UnregisterFromOutOfPose )(XnModuleNodeHandle hGenerator, XnCallbackHandle hCallback)
XnStatus(* | StopSinglePoseDetection )(XnModuleNodeHandle hGenerator, XnUserID user, const XnChar *strPose)

## Member Data Documentation

## GetAllAvailablePoses

XnStatus(* XnModulePoseDetectionCapabilityInterface::GetAllAvailablePoses) (XnModuleNodeHandle hGenerator, XnChar **pstrPoses, XnUInt32 nNameLength, XnUInt32 *pnPoses)

## GetAvailablePoses

XnStatus(* XnModulePoseDetectionCapabilityInterface::GetAvailablePoses) (XnModuleNodeHandle hGenerator, XnChar **pstrPoses, XnUInt32 *pnPoses)

## GetNumberOfPoses

XnUInt32(* XnModulePoseDetectionCapabilityInterface::GetNumberOfPoses) (XnModuleNodeHandle hGenerator)

## RegisterToOutOfPose

XnStatus(* XnModulePoseDetectionCapabilityInterface::RegisterToOutOfPose) (XnModuleNodeHandle hGenerator, XnModulePoseDetectionCallback handler, void *pCookie, XnCallbackHandle *phCallback)

## RegisterToPoseCallbacks

XnStatus(* XnModulePoseDetectionCapabilityInterface::RegisterToPoseCallbacks) (XnModuleNodeHandle hGenerator, XnModulePoseDetectionCallback StartPoseCB, XnModulePoseDetectionCallback EndCB, void *pCookie, XnCallbackHandle *phCallback)

## RegisterToPoseDetected

XnStatus(* XnModulePoseDetectionCapabilityInterface::RegisterToPoseDetected) (XnModuleNodeHandle hGenerator, XnModulePoseDetectionCallback handler, void *pCookie, XnCallbackHandle *phCallback)

## RegisterToPoseDetectionInProgress

XnStatus(* XnModulePoseDetectionCapabilityInterface::RegisterToPoseDetectionInProgress) (XnModuleNodeHandle hGenerator, XnModulePoseDetectionInProgressCallback PoseProgressCB, void *pCookie, XnCallbackHandle *phCallback)

## StartPoseDetection

XnStatus(* XnModulePoseDetectionCapabilityInterface::StartPoseDetection) (XnModuleNodeHandle hGenerator, const XnChar *strPose, XnUserID user)

## StopPoseDetection

XnStatus(* XnModulePoseDetectionCapabilityInterface::StopPoseDetection) (XnModuleNodeHandle hGenerator, XnUserID user)

## StopSinglePoseDetection

XnStatus(* XnModulePoseDetectionCapabilityInterface::StopSinglePoseDetection) (XnModuleNodeHandle hGenerator, XnUserID user, const XnChar *strPose)

## UnregisterFromOutOfPose

void(* XnModulePoseDetectionCapabilityInterface::UnregisterFromOutOfPose) (XnModuleNodeHandle hGenerator, XnCallbackHandle hCallback)

## UnregisterFromPoseCallbacks

void(* XnModulePoseDetectionCapabilityInterface::UnregisterFromPoseCallbacks) (XnModuleNodeHandle hGenerator, XnCallbackHandle hCallback)

## UnregisterFromPoseDetected

void(* XnModulePoseDetectionCapabilityInterface::UnregisterFromPoseDetected) (XnModuleNodeHandle hGenerator, XnCallbackHandle hCallback)

## UnregisterFromPoseDetectionInProgress

void(* XnModulePoseDetectionCapabilityInterface::UnregisterFromPoseDetectionInProgress) (XnModuleNodeHandle hGenerator, XnCallbackHandle hCallback)

The documentation for this struct was generated from the following file:

- XnModuleInterface.h